#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
version=1.7.8
commit=3299829cb07ac91dd7a747d855a1e1e9f4f3f1f8

pushd "$tmp"
git clone git://git.gromacs.org/tng.git
cd tng
git archive --prefix="tng-${version}/" --format=tar ${commit} | xz -T0 > "$pwd"/tng-${version}.tar.xz
popd
