# compression tests take up 3GB of disk space and a lot of time
%global compression_tests 0
%global desc \
TRAJNG (Trajectory next generation) is a program library for handling\
molecular dynamics (MD) trajectories. It can store coordinates, and\
optionally velocities and the H-matrix. Coordinates and velocities are\
stored with user-specified precision. In addition, program specific\
information (text strings) can optionally be stored in the beginning\
of each file. Atomic labels can also optionally be stored once in the\
beginning of the file.


Name:          tng
Version:       1.7.8
Release:       4%{?dist}
Summary:       Trajectory Next Generation binary format manipulation library

License:       BSD and zlib
URL:           http://www.gromacs.org/Developer_Zone/Programming_Guide/File_formats
# run tng-mktarball.sh
Source0:       tng-%{version}.tar.xz
Source1:       tng-mktarball.sh

BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gcc-gfortran
BuildRequires: zlib-devel
Provides:      bundled(md5-deutsch)

%description
%{desc}

%package devel
Summary:       Trajectory Next Generation binary format manipulation library development files
Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      cmake

%description devel
%{desc}

This package contains the development files.

%package doc
Summary:       Trajectory Next Generation binary format manipulation library documentation
BuildArch:     noarch

%description doc
%{desc}

This package contains the documentation.

%prep
%setup -q

%build
mkdir build && cd build
%cmake \
    -DTNG_BUILD_DOCUMENTATION=ON \
    -DTNG_BUILD_FORTRAN=ON \
%if 0%{?compression_tests} > 0
    -DTNG_BUILD_COMPRESSION_TESTS=ON \
%endif
    -DTNG_BUILD_WITH_ZLIB=ON \
    ..

make %{?_smp_mflags}

%install
cd build
%make_install

# build/Documentation/html
rm -r %{buildroot}%{_datadir}/tng/doc/latex
mkdir -p %{buildroot}%{_defaultdocdir}
mv %{buildroot}{%{_datadir}/tng/doc/html,%{_defaultdocdir}/tng}

%check
pushd build/bin/tests
./tng_testing
popd
%if 0%{?compression_tests}
pushd build/bin/compression_tests
./test_tng_compress_write.sh
./test_tng_compress_read.sh
popd
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS Trajectoryformatspecification.mk
%{_libdir}/libtng_io.so.*

%files devel
%{_includedir}/tng
%{_libdir}/cmake/tng_io
%{_libdir}/libtng_io.so

%files doc
%{_pkgdocdir}

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 16 2016 Dominik Mierzejewski <dominik@greysector.net> 1.7.8-3
- add zlib to license list

* Tue Mar 15 2016 Dominik Mierzejewski <dominik@greysector.net> 1.7.8-2
- make devel subpackage depend on arched main package
- move docs to -doc subpackage

* Sat Dec 26 2015 Dominik Mierzejewski <dominik@greysector.net> 1.7.8-1
- update to 1.7.8
- drop upstream'd patch

* Tue Dec 15 2015 Dominik Mierzejewski <dominik@greysector.net> 1.7.7-1
- initial build
